#
# spec file for package talk (Version 0.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           talk
License:        BSD
Group:          Productivity/Networking/Talk/Clients
Provides:       nkitb:/usr/bin/talk
Autoreqprov:    on
Version:        0.17
Release:        570.2
Summary:        Talk Client for Chatting with Another User
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:         netkit-ntalk-%{version}.tar.bz2
Source1:        talk.xinetd
Source2:        ntalk.xinetd
Patch:          netkit-ntalk-%{version}.dif
Patch1:         netkit-ntalk-multibyte.diff
Patch2:         netkit-ntalk-%{version}-alt-talkd.patch
Patch3:         netkit-ntalk-%{version}-strip.diff

%description
This package contains the talk client, which allows you to chat with
another user on a different system. Talk is a communication program
which copies lines from one terminal to that of another user.



%debug_package
%package server
Version:        0.17
Release:        570.2
Summary:        Talk Daemon to Chat with Another User
Group:          Productivity/Networking/Talk/Clients
Requires:       net-tools netcfg
Provides:       nkitserv:/usr/sbin/in.talkd
Autoreqprov:    on

%description server
This package contains the talk daemon, which allows you to chat with
another user on a different system. Talk is a communication program
which copies lines from one terminal to the terminal of another user.



%prep
%setup -n netkit-ntalk-%{version}
%patch
%patch1 -p1 -b .mb
%patch2 -p1
%patch3

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
cat <<-EOF >> MCONFIG
	LIBCURSES=-lncursesw
	CFLAGS += -D_GNU_SOURCE -fPIE
	LDFLAGS += -pie
EOF
make

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,8}
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/talk 
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/ntalk

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog
/usr/bin/talk
%doc %{_mandir}/man1/*

%files server
%defattr(-,root,root)
%doc BUGS ChangeLog
%doc %{_mandir}/man8/*
/usr/sbin/in.ntalkd
/usr/sbin/in.talkd
%config(noreplace) /etc/xinetd.d/talk
%config(noreplace) /etc/xinetd.d/ntalk

%changelog -n talk
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - schwab@suse.de
- Don't strip binaries.
* Tue Jun 21 2005 - ro@suse.de
- build with fPIE/pie
* Mon Sep 20 2004 - postadal@suse.cz
- fixed DoS [#44756] (alt-talkd.patch)
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root
* Tue Mar 04 2003 - kraxel@suse.de
- yet another multibyte patch fix (line erase not working correctly).
* Mon Feb 24 2003 - vbobek@suse.cz
- created config file for xinetd
* Tue Jan 14 2003 - kraxel@suse.de
- more multibyte patch fixes.
* Tue Dec 17 2002 - kraxel@suse.de
- various minor fixes in the multibyte patch.
* Wed Dec 11 2002 - kraxel@suse.de
- added locale and multibyte support.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- claen up spec file
* Fri Mar 02 2001 - kukuk@suse.de
- Initial package, split from nkitb
